com.atid.lib.module.rfid.uhf.params

## Class EpcMaskParam

- java.lang.Object
- - com.atid.lib.module.rfid.uhf.params.EpcMaskParam

-     public class EpcMaskParam
      extends java.lang.Object

  The EpcMaskParam class stores information about the EPC Mask when the RFID UHF module sets or returns an EPC Mask.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EpcMaskParam()` Creates an instance of the EpcMaskParam class.
    `EpcMaskParam(int offset, int length, java.lang.String pattern)` Creates an instance of the EpcMaskParam class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()` Returns the Length of the EpcMaskParam instance.
    `int` | `getOffset()` Returns the offset of the EpcMaskParam instance.
    `java.lang.String` | `getPattern()` Returns Pettern of the EpcMaskParam instance.
    `void` | `setLength(int length)` Sets the Length of the EpcMaskParam instance.
    `void` | `setOffset(int offset)` Sets the offset of the EpcMaskParam instance.
    `void` | `setPattern(java.lang.String pattern)` Sets the Pettern for the EpcMaskParam instance.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EpcMaskParam

          public EpcMaskParam()

      Creates an instance of the EpcMaskParam class.

    - #### EpcMaskParam

          public EpcMaskParam(int offset,
                              int length,
                              java.lang.String pattern)

      Creates an instance of the EpcMaskParam class.
      Parameters:
        `offset` - An integer indicating the start address of the memory at which to start comparing the tag's EPC memory with the pattern value. The unit is bit.
        `length` - An integer representing the length of the memory to compare the tag's EPC memory with the pattern value. The unit is bit.
        `pattern` - A string of type Hex representing the comparison value to compare the EPC memory of the tag.

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Returns the offset of the EpcMaskParam instance.
      Returns:
        An integer indicating the start address of the memory at which to start comparing the tag's EPC memory with the pattern value. The unit is bit.

    - #### setOffset

          public void setOffset(int offset)

      Sets the offset of the EpcMaskParam instance.
      Parameters:
        `offset` - An integer indicating the start address of the memory at which to start comparing the tag's EPC memory with the pattern value. The unit is bit.

    - #### getPattern

          public java.lang.String getPattern()

      Returns Pettern of the EpcMaskParam instance.
      Returns:
        A string of type Hex representing the comparison value to compare the EPC memory of the tag.

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Sets the Pettern for the EpcMaskParam instance.
      Parameters:
        `pattern` - A string of type Hex representing the comparison value to compare the EPC memory of the tag.

    - #### getLength

          public int getLength()

      Returns the Length of the EpcMaskParam instance.
      Returns:
        An integer representing the length of the memory to compare the tag's EPC memory with the pattern value. The unit is bit.

    - #### setLength

          public void setLength(int length)

      Sets the Length of the EpcMaskParam instance.
      Parameters:
        `length` - An integer representing the length of the memory to compare the tag's EPC memory with the pattern value. The unit is bit.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`